Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77570 - bad source code
Summary: bad source code
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-09 12:47 UTC by d.binderman
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-10 15:32:41 UTC


Attachments (Terms of Use)

Description d.binderman 2002-11-09 12:47:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I just tried to compile package tcpdump-3.6.3-3 from Redhat 8.0.

Here are some of the compiler messages.

print-ip6opts.c:130: warning: `optlen' might be used uninitialized in this function

Here is a patch which fixes the messages.

*** ./tcpdump-3.6.2/print-ip6opts.c.old	2002-11-08 08:37:25.000000000 +0000
--- ./tcpdump-3.6.2/print-ip6opts.c	2002-11-08 08:38:44.000000000 +0000
***************
*** 127,133 ****
  ip6_opt_print(const u_char *bp, int len)
  {
      int i;
!     int optlen;
  
      for (i = 0; i < len; i += optlen) {
  	switch (bp[i]) {
--- 127,133 ----
  ip6_opt_print(const u_char *bp, int len)
  {
      int i;
!     int optlen = 0;
  
      for (i = 0; i < len; i += optlen) {
  	switch (bp[i]) {


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile the package
2.
3.
	

Additional info:

Comment 1 Harald Hoyer 2003-03-10 15:32:41 UTC
please report these kind of things upstream


Note You need to log in before you can comment on or make changes to this bug.